#!/bin/bash
set -euo pipefail
ACTION="$1"
FROM="$2"

#
# Ideally, FROM should be "postmaster" or "root" or something
# but to keep the logic (at this time) simpler,
# I impersonate the user
#
# However, the origin of these e-mails are still disambiguated
# by the "From: " header
maildrop -f "$FROM" <<EOF
From: postmaster@localhost
To: postmaster@localhost
Subject: [${ACTION}]
$(cat -)
EOF
