#!/bin/bash
set -euo pipefail
GROUP="$1"
ALIAS="$2"
EMAIL="$3"
AUTH="$4"
declare -A GROUPALIASES=(
	["cropswap@shandan.one"]="Crop Swap Notices"
	["cropswap-members@shandan.one"]="Crop Swap Members"
)

SCRIPTDIR=$(readlink -e "${BASH_SOURCE[0]%/*}")

${SCRIPTDIR}/cropswap-postmaster.sh SIGNUP "$EMAIL" <<EOF
X-GROUP: $GROUP
X-GROUP-ALIAS: ${GROUPALIASES[$GROUP]}
X-MEMBER-ALIAS: $ALIAS
X-AUTH: $AUTH
EOF
${SCRIPTDIR}/cropswap-postmaster.sh SUBSCRIBE "$EMAIL" <<EOF
X-GROUP: $GROUP
EOF
